| Home | Libraries | People | FAQ | More

## Global upper

boost::xpressive::upper — Matches an upper-case character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified upper;

## Description

The regex traits are used to determine which characters are upper-case. To match any character that is not upper-case, use ~upper.

| Note
upper is equivalent to /[[:upper:]]/ in perl. ~upper is equivalent to /[[:^upper:]]/ in perl.